=== debian/changelog ===
iproute2 (4.20.0-2+deb10u1) buster; urgency=medium

  * Backport ip-route-print-route-type-in-JSON-output.patch. Fixes bug in
    json output, backported from upstream. (Closes: #961278)
  * Backport tc-mqprio-json-ify-output.patch. Fixes bug in json output,
    backported from upstream. (Closes: #972784)
  * Backport ip-netns-use-flock-when-setting-up-run-netns.patch. Fixes
    race condition that DOSes the system when using ip netns add at boot.
    (Closes: #949235)

 -- Luca Boccassi <bluca@debian.org>  Thu, 03 Dec 2020 18:42:49 +0000

iproute2 (4.20.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Luca Boccassi <bluca@debian.org>  Thu, 10 Jan 2019 20:04:14 +0000

iproute2 (4.20.0-1) experimental; urgency=medium

  * Merge tag 'upstream/4.20.0'
  * Drop patches merged upstream in v4.20.0.

 -- Luca Boccassi <bluca@debian.org>  Wed, 09 Jan 2019 15:31:15 +0000

iproute2 (4.19.0-2) unstable; urgency=medium

  * Simplify debian/rules, just use dh tools.
  * Set CBUILD_CFLAGS for dpkg-buildflags-missing
  * Add gitlab-ci.yml for Salsa's CI
  * Backport patches to let build use dpkg-buildpkg's CPPFLAGS.
  * Backport patches to fix testsuite cleanup.
    0008-Makefile-have-check-target-depend-on-all.patch
    0009-testsuite-declare-dependency-between-TESTS-and-gener.patch
    0010-testsuite-delete-dummy-interface-after-default-route-tes.patch
    0011-testsuite-remove-gre-kmods-if-the-test-loads-them.patch
  * autopkgtest: use built-in macro to install build-depends
  * autopkgtest: simplify test script by just running make check
  * autopkgtest: install kmod and sudo, needed by upstream tests
  * autopkgtest: remove breaks-testbed tag
  * Bump Standards-Version to 4.3.0, no changes.

 -- Luca Boccassi <bluca@debian.org>  Mon, 24 Dec 2018 15:29:30 +0100

iproute2 (4.19.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces

  [ Luca Boccassi ]
  * Merge tag 'upstream/4.19.0'
  * Skip test suite at build time.
  * Bump Standards-Version to 4.2.1, no changes.

 -- Luca Boccassi <bluca@debian.org>  Fri, 26 Oct 2018 16:38:42 +0100

iproute2 (4.18.0-2) unstable; urgency=medium

  * Ship installed headers in the iproute2 package.
    At the moment this inludes a single iproute2/bpf_elf.h header.
    (Closes: #904122)
  * Add "terse" DEB_BUILD_OPTIONS as per policy 4.2.0.
    Build with make V=1 by default as the new policy requests.
  * Set Rules-Requires-Root: no.
  * Bump debhelper compat level to 10.
  * Bump Standards-Version to 4.2.0.

 -- Luca Boccassi <bluca@debian.org>  Tue, 28 Aug 2018 16:55:44 +0100
