## iproute2 5.2.0

=== debian/changelog ===
iproute2 (5.2.0-1ubuntu2) eoan; urgency=medium

  * debian/patches/git-tunnel-creation.patch:
    - backport upstream change to fix a tunnel creation problem which is
      leading to a failure on the network-manager ci 

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 10 Oct 2019 11:50:20 +0200

iproute2 (5.2.0-1ubuntu1) eoan; urgency=medium

  * Merge with Debian testing. Remaining changes:
    - Add: Ubuntu Fan driver (V2/3/4) patches
      - d/p/1000-ubuntu-poc-fan-driver.patch
        Ubuntu FAN driver support V2 (LP 1439706)
      - d/p/1001-ubuntu-poc-fan-driver-v3.patch
        Ubuntu FAN driver support V3 (LP 1470091)
      - d/p/1002-ubuntu-poc-fan-driver-vxlan.patch
        Ubuntu FAN driver support VXLAN V4.
    - Drop: debian/patches/0001-Add-moo-feature.patch
  * Dropped changes:
    - d/p/1005-lib-suppress-error-msg-when-filling-the-cache.patch
      Already included upstream in 5.2.0.

 -- Stefan Bader <stefan.bader@canonical.com>  Thu, 08 Aug 2019 11:18:17 +0200

iproute2 (5.2.0-1) unstable; urgency=medium

  * Use /run/netns rather than /var/run/netns. Allows to manage namespaces
    early at boot in case /var is on a different filesystem. (Closes:
    #929774)
  * Update upstream source from tag 'upstream/5.2.0'
  * Refresh 0004-sync-iptables-header.patch, most of it has been merged
    upstream.

 -- Luca Boccassi <bluca@debian.org>  Tue, 09 Jul 2019 20:52:47 +0100

iproute2 (5.1.0-1ubuntu2) eoan; urgency=medium

  * Add: d/p/1005-lib-suppress-error-msg-when-filling-the-cache.patch
    Suppress meaningless error message during interface setup.

 -- Stefan Bader <stefan.bader@canonical.com>  Wed, 10 Jul 2019 16:38:52 +0200

iproute2 (5.1.0-1ubuntu1) eoan; urgency=medium

  * Merge with Debian experimental. Remaining changes:
    - Add: Ubuntu Fan driver (V2/3/4) patches
      - d/p/1000-ubuntu-poc-fan-driver.patch
        Ubuntu FAN driver support V2 (LP 1439706)
      - d/p/1001-ubuntu-poc-fan-driver-v3.patch
        Ubuntu FAN driver support V3 (LP 1470091)
      - d/p/1002-ubuntu-poc-fan-driver-vxlan.patch
        Ubuntu FAN driver support VXLAN V4.
    - Drop: debian/patches/0001-Add-moo-feature.patch
    - Refresh: Ubuntu Fan driver (V2/3/4) patches
  * Dropped changes:
    - d/p/1005-ubuntu-fix-testsuite-kenv.patch (upstream)
    - d/p/1006-ubuntu-iprule-fix-output.patch (upstream
    - d/p/ss-review-ssfilter.patch (upstream)
    - Set debhelper dependency to >= 10 (upstream)
    - Set compat level 10 (upstream)

 -- Stefan Bader <stefan.bader@canonical.com>  Mon, 17 Jun 2019 11:15:33 +0200

iproute2 (5.1.0-1) experimental; urgency=medium

  * Update upstream source from tag 'upstream/5.1.0'

 -- Luca Boccassi <bluca@debian.org>  Tue, 21 May 2019 15:43:15 +0100

iproute2 (5.0.0-1) experimental; urgency=medium

  * Update upstream source from tag 'upstream/5.0.0'
  * Add build flags check to Gitlab CI.
  * Build-depend on libbsd-dev, to avoid using internal strlcpy.
  * autopkgtest: build-depend on locales-all for manpage test

 -- Luca Boccassi <bluca@debian.org>  Thu, 21 Mar 2019 12:14:41 +0000

iproute2 (4.18.0-1ubuntu3) eoan; urgency=medium

  * d/p/ss-review-ssfilter.patch: fixed issue with ss and ssfilter
    where ssfilter rejects single expressions if enclosed in
    braces (LP: #1831775)

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Wed, 05 Jun 2019 21:26:00 -0300
