=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: iproute2
 Section: net
 Priority: optional
-Maintainer: Alexander Wirt <formorer@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Alexander Wirt <formorer@debian.org>
 Uploaders: Luca Boccassi <bluca@debian.org>
 Homepage: https://wiki.linuxfoundation.org/networking/iproute2
 Vcs-Browser: https://salsa.debian.org/debian/iproute2.git
@@ -13,6 +14,7 @@
                flex,
                iptables-dev,
                libatm1-dev,
+               libbsd-dev,
                libcap-dev,
                libdb-dev,
                libelf-dev,
