=== debian/rules ===
--- 
+++ 
@@ -21,6 +21,7 @@
 endif
 
 export KERNEL_INCLUDE=./include
+export NETNS_RUN_DIR=/run/netns
 
 %:
 	dh $@
