=== debian/changelog ===
iproute2 (5.5.0-1ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Add: Ubuntu Fan driver (V2/3/4) patches
      - d/p/1000-ubuntu-poc-fan-driver.patch
        Ubuntu FAN driver support V2 (LP 1439706)
      - d/p/1001-ubuntu-poc-fan-driver-v3.patch
        Ubuntu FAN driver support V3 (LP 1470091)
      - d/p/1002-ubuntu-poc-fan-driver-vxlan.patch
        Ubuntu FAN driver support VXLAN V4.
    - Drop: debian/patches/0001-Add-moo-feature.patch
  * Dropped changes, included in Debian:
    - Make autopkgtests cross-test-friendly.
  * Dropped changes, included upstream:
    - debian/patches/git-tunnel-creation.patch:
      backport upstream change to fix a tunnel creation problem which is
      leading to a failure on the network-manager ci 

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 13 Feb 2020 09:21:59 -0800

iproute2 (5.5.0-1) unstable; urgency=medium

  [ Steve Langasek ]
  * Make autopkgtests cross-test-friendly (Closes: #949566)

  [ Luca Boccassi ]
  * Bump Standards-Version to 4.5.0, no changes.
  * Build-depend on libxtables-dev instead of iptables-dev. (Closes:
    #951089)
  * Update upstream source from tag 'upstream/5.5.0'

 -- Luca Boccassi <bluca@debian.org>  Tue, 11 Feb 2020 10:51:46 +0000

iproute2 (5.4.0-1) unstable; urgency=medium

  * Fix Lintian Warning: spelling-error-in-changelog
  * Update upstream source from tag 'upstream/5.4.0'
  * iproute2-doc: upstream no longer ships examples

 -- Luca Boccassi <bluca@debian.org>  Thu, 28 Nov 2019 10:56:11 +0000

iproute2 (5.3.0-1) unstable; urgency=medium

  * Bump Standards-Version to 4.4.0, no changes.
  * Do not ship ifstat.8 manpage, as we do not ship the binary
  * Update upstream source from tag 'upstream/5.3.0'
  * Refresh patches for 5.3.0

 -- Luca Boccassi <bluca@debian.org>  Fri, 27 Sep 2019 12:17:59 +0100

iproute2 (5.2.0-1ubuntu3) focal; urgency=medium

  * Make autopkgtests cross-test-friendly.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 21 Jan 2020 16:22:08 -0800
