=== debian/control ===
--- 
+++ 
@@ -7,12 +7,12 @@
 Homepage: https://wiki.linuxfoundation.org/networking/iproute2
 Vcs-Browser: https://salsa.debian.org/debian/iproute2.git
 Vcs-Git: https://salsa.debian.org/debian/iproute2.git
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Build-Depends: bison,
                debhelper (>= 10~),
                flex,
-               iptables-dev,
+               libxtables-dev,
                libatm1-dev,
                libbsd-dev,
                libcap-dev,
