## iproute2 5.7.0

=== debian/changelog ===
iproute2 (5.7.0-1ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Add: Ubuntu Fan driver (V2/3/4) patches
      - d/p/1000-ubuntu-poc-fan-driver.patch
        Ubuntu FAN driver support V2 (LP 1439706)
      - d/p/1001-ubuntu-poc-fan-driver-v3.patch
        Ubuntu FAN driver support V3 (LP 1470091)
      - d/p/1002-ubuntu-poc-fan-driver-vxlan.patch
        Ubuntu FAN driver support VXLAN V4.
    - Drop: debian/patches/0001-Add-moo-feature.patch

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 09 Jun 2020 14:13:18 -0700

iproute2 (5.7.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/5.7.0'
  * Add override for Lintian false positive in iproute2-doc

 -- Luca Boccassi <bluca@debian.org>  Sat, 06 Jun 2020 12:27:27 +0100

iproute2 (5.6.0-1ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Add: Ubuntu Fan driver (V2/3/4) patches
      - d/p/1000-ubuntu-poc-fan-driver.patch
        Ubuntu FAN driver support V2 (LP 1439706)
      - d/p/1001-ubuntu-poc-fan-driver-v3.patch
        Ubuntu FAN driver support V3 (LP 1470091)
      - d/p/1002-ubuntu-poc-fan-driver-vxlan.patch
        Ubuntu FAN driver support VXLAN V4.
    - Drop: debian/patches/0001-Add-moo-feature.patch

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 01 May 2020 15:23:39 -0700

iproute2 (5.6.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/5.6.0'
  * Set hardening=+all to enable BindNow
  * Use https in d/watch
  * Switch to debhelper-compat 12
  * Fix Vc-Browser field, remove .git
  * Minimize d/upstream/signing-key.asc
  * Add Lintian overrides for false positives

 -- Luca Boccassi <bluca@debian.org>  Fri, 03 Apr 2020 10:03:30 +0100
