## iproute2 5.9.0

=== debian/changelog ===
iproute2 (5.9.0-1ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Add: Ubuntu Fan driver (V2/3/4) patches
      - d/p/1000-ubuntu-poc-fan-driver.patch
        Ubuntu FAN driver support V2 (LP 1439706)
      - d/p/1001-ubuntu-poc-fan-driver-v3.patch
        Ubuntu FAN driver support V3 (LP 1470091)
      - d/p/1002-ubuntu-poc-fan-driver-vxlan.patch
        Ubuntu FAN driver support VXLAN V4.
    - Drop: debian/patches/0001-Add-moo-feature.patch

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 24 Oct 2020 17:50:27 -0700

iproute2 (5.9.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/5.9.0'

 -- Luca Boccassi <bluca@debian.org>  Mon, 19 Oct 2020 10:49:53 +0100

iproute2 (5.8.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/5.8.0'
  * Refresh 0001-Add-moo-feature.patch to remove fuzz from 5.8.0

 -- Luca Boccassi <bluca@debian.org>  Wed, 12 Aug 2020 13:54:32 +0100
