=== debian/changelog ===
iproute2 (5.15.0-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Luca Boccassi <bluca@debian.org>  Sun, 14 Nov 2021 12:40:22 +0000

iproute2 (5.15.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/5.15.0'
  * Drop configure-restore-backward-compatibility.patch, merged upstream
  * Refresh patches to remove fuzz
  * Update Lintian overrides

 -- Luca Boccassi <bluca@debian.org>  Fri, 05 Nov 2021 23:08:14 +0000

iproute2 (5.14.0-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Luca Boccassi <bluca@debian.org>  Wed, 15 Sep 2021 21:11:15 +0100

iproute2 (5.14.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/5.14.0'
  * Bump Standards-Version to 4.6.0, no changes
  * Backport patch to fix configure breakage

 -- Luca Boccassi <bluca@debian.org>  Thu, 02 Sep 2021 11:44:35 +0100

iproute2 (5.13.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Luca Boccassi <bluca@debian.org>  Sun, 15 Aug 2021 13:07:08 +0100

iproute2 (5.13.0-1) experimental; urgency=medium

  * Update upstream source from tag 'upstream/5.13.0'
    (Closes: #991465)
  * Drop patches merged upstream
  * Install new dcb and vdpa tools

 -- Luca Boccassi <bluca@debian.org>  Mon, 26 Jul 2021 10:56:50 +0100
