## iproute2 6.0.0

=== debian/changelog ===
iproute2 (6.0.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/6.0.0'
  * Update Lintian overrides syntax

 -- Luca Boccassi <bluca@debian.org>  Sat, 08 Oct 2022 17:14:47 +0100

iproute2 (5.19.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/5.19.0'
  * Refresh patch for 5.19
  * Update Lintian overrides for new syntax

 -- Luca Boccassi <bluca@debian.org>  Wed, 03 Aug 2022 13:26:05 +0100

iproute2 (5.18.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/5.18.0'
  * Bump Standards-Version to 4.6.1, no changes
  * Update Lintian overrides for new version

 -- Luca Boccassi <bluca@debian.org>  Wed, 08 Jun 2022 14:47:01 +0100

iproute2 (5.17.0-2) unstable; urgency=medium

  * d/rules: use execute_after instead of override
  * Switch main branch to debian/sid
  * Remove outdated README.source
  * Move maintainership to Debian Kernel Team
  * Drop unneeded Lintian override
  * Override Lintian warning about missing upstream bug tracking metadata
  * iproute2-doc: install examples

 -- Luca Boccassi <bluca@debian.org>  Mon, 18 Apr 2022 22:10:16 +0200

iproute2 (5.17.0-1) unstable; urgency=medium

  * Fix Lintian warnings regarding d/u/metadata.
  * Update upstream source from tag 'upstream/5.17.0'

 -- Luca Boccassi <bluca@debian.org>  Fri, 25 Mar 2022 10:48:29 +0000

iproute2 (5.16.0-2) unstable; urgency=medium

  * Drop manual /usr/lib/tc/m_ipt.so -> m_xt.so symlink (Closes: #1004059)

 -- Luca Boccassi <bluca@debian.org>  Thu, 20 Jan 2022 10:29:38 +0000

iproute2 (5.16.0-1) unstable; urgency=medium

  * Drop 0004-sync-iptables-header.patch, not necessary anymore
  * Update upstream source from tag 'upstream/5.16.0'
  * Update iproute2.install: routef has been dropped
  * Bump d/copyright year range
  * Update Lintian overrides
  * Suggest python3:any for /usr/bin/routel

 -- Luca Boccassi <bluca@debian.org>  Thu, 13 Jan 2022 22:57:57 +0000
