## iproute2 6.1.0

=== dcb/Makefile ===
--- 
+++ 
@@ -1,9 +1,5 @@
 # SPDX-License-Identifier: GPL-2.0
 include ../config.mk
-
-TARGETS :=
-
-ifeq ($(HAVE_MNL),y)
 
 DCBOBJ = dcb.o \
          dcb_app.o \
@@ -14,8 +10,6 @@
          dcb_pfc.o
 TARGETS += dcb
 LDLIBS += -lm
-
-endif
 
 all: $(TARGETS) $(LIBS)
