=== debian/changelog ===
iproute2 (6.1.0-3~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Luca Boccassi <bluca@debian.org>  Thu, 25 May 2023 18:52:09 +0100

iproute2 (6.1.0-3) unstable; urgency=medium

  * Ensure 'ip mo' resolves to 'ip monitor' (Closes: #1036534)

 -- Luca Boccassi <bluca@debian.org>  Mon, 22 May 2023 14:19:52 +0100

iproute2 (6.1.0-2) unstable; urgency=medium

  * Add Romanian language translation for debconf (Closes: #1031917)
  * Bump Standards-Version to 4.6.2, no changes
  * Bump d/copyright year range

 -- Luca Boccassi <bluca@debian.org>  Sat, 25 Feb 2023 19:46:35 +0000

iproute2 (6.1.0-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Luca Boccassi <bluca@debian.org>  Mon, 26 Dec 2022 21:19:59 +0100

iproute2 (6.1.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/6.1.0'
  * Update Lintian overrides syntax

 -- Luca Boccassi <bluca@debian.org>  Fri, 16 Dec 2022 15:17:20 +0000

iproute2 (6.0.0-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Luca Boccassi <bluca@debian.org>  Fri, 14 Oct 2022 11:30:43 +0100

iproute2 (5.19.0-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Luca Boccassi <bluca@debian.org>  Mon, 08 Aug 2022 11:32:28 +0100

iproute2 (5.18.0-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Luca Boccassi <bluca@debian.org>  Tue, 14 Jun 2022 11:07:05 +0100

iproute2 (5.17.0-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Luca Boccassi <bluca@debian.org>  Thu, 31 Mar 2022 22:35:36 +0100

iproute2 (5.16.0-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Luca Boccassi <bluca@debian.org>  Tue, 25 Jan 2022 22:35:36 +0000
