## iproute2 6.4.0

=== debian/changelog ===
iproute2 (6.4.0-1) unstable; urgency=medium

  * Fix patch header Forwarded field
  * Enable ELF metadata stamping
  * Update upstream source from tag 'upstream/6.4.0'
  * Update Lintian overrides

 -- Luca Boccassi <bluca@debian.org>  Fri, 30 Jun 2023 12:16:40 +0100

iproute2 (6.3.0-1) unstable; urgency=medium

  * Drop obsolete conflicts/replaces
  * Update upstream source from tag 'upstream/6.3.0'

 -- Luca Boccassi <bluca@debian.org>  Tue, 13 Jun 2023 23:49:37 +0100
